import './SegmentItem.styles_e1lwsw.css';
import { styled } from '@linaria/react';
import { tokens } from '../../tokens.js';

var _exp3 = function _exp3() {
  return function (_ref) {
    var hasRightMargin = _ref.hasRightMargin;
    return hasRightMargin ? "var(".concat(tokens.itemIconMargin, ")") : '0';
  };
};
var _exp4 = function _exp4() {
  return function (_ref2) {
    var hasLeftMargin = _ref2.hasLeftMargin;
    return hasLeftMargin ? "var(".concat(tokens.itemIconMargin, ")") : '0';
  };
};
var StyledContent = /*#__PURE__*/styled('div')({
  name: "StyledContent",
  "class": "s1ctmrf5",
  propsAsIs: false,
  vars: {
    "s1ctmrf5-0": [/*#__PURE__*/_exp3()],
    "s1ctmrf5-1": [/*#__PURE__*/_exp4()]
  }
});
var RightContent = /*#__PURE__*/styled('div')({
  name: "RightContent",
  "class": "r1hyzqjd",
  propsAsIs: false
});
var LeftContent = /*#__PURE__*/styled('div')({
  name: "LeftContent",
  "class": "l1rav4yq",
  propsAsIs: false
});
var base = "bmhy3gr";

export { LeftContent, RightContent, StyledContent, base };
